Jump to content
DavidW

SCS v32 Release Candidate (now Version 10) Available for Testing

Recommended Posts

Guest SCS_is_great
2 hours ago, DavidW said:

Items: are you sure the stacks are reduced and not just split up?

 

Yeah, I saw single stacks of 1 for each item that was ammo or quick slot, though all the rest of my stacks (which were all in containers of different sorts) were fine. BG2EE, SCS is the only mod. I just remembered that I also noticed odd behavior when emptying out the bag of holding full of mundane gear; the stacks of 10 bullets/bolts/etc, if I tried to move all 10 out of the bag at once, would yield only a single stack of 1 item in my inventory but also cleared out all 10 that at-first appeared to be in the bag. Moving a single also moved a single, and showed 9 remaining, but then trying to move all 9 only gave me 1, etc.

Share this post


Link to post
8 hours ago, DavidW said:

Please don’t guess, Jarno, it’s not helpful.

Ndranc: The component is for BGEE and BG2EE and was tested for both - but yes, it’s quite possible EE is causing problems. Can you give me a WeiDU.log?

These are the logs for the "barebones" EET install.

WeiDU.log

WeiDU-BGEE.log

Share this post


Link to post

Thanks.

You might see what happens if you install the EET_end component before SCS, rather than after - all of my testing was on a completed install of EET.

Share this post


Link to post
3 minutes ago, DavidW said:

Thanks.

You might see what happens if you install the EET_end component before SCS, rather than after - all of my testing was on a completed install of EET.

Oh I though I was supposed to use the EET_end last?

Share this post


Link to post
2 hours ago, NdranC said:

Oh I though I was supposed to use the EET_end last?

EET says that, but afaict it's only necessary if you've got a mod that's not already written with EET in mind. And my testing is all after EET_end is installed, because it's not realistic to keep uninstalling and reinstalling EET_end when testing something as complicated as SCS.

Share this post


Link to post
2 hours ago, DavidW said:

EET says that, but afaict it's only necessary if you've got a mod that's not already written with EET in mind. And my testing is all after EET_end is installed, because it's not realistic to keep uninstalling and reinstalling EET_end when testing something as complicated as SCS.

Ok, that seems to have fixed it. I'll now install Tweak Anthology and aTweaks after SCS and hope EET doesn't mind they are also after EET_end.

Does the NPC customization work with rule changes like the ones in Tweak Anthology? Like allowing more class/race combinations or proficiency changes?

I just made Khalid into an ranger and noticed that it doesn't seem to take into account that rangers should get 2 levels in Two-Weapon Style for free or the ability to pick a racial enemy. That's unfortunate I really hate having to use eekeeper every time I start a new playthough.

Share this post


Link to post
1 hour ago, NdranC said:

Ok, that seems to have fixed it. I'll now install Tweak Anthology and aTweaks after SCS and hope EET doesn't mind they are also after EET_end.

Does the NPC customization work with rule changes like the ones in Tweak Anthology? Like allowing more class/race combinations or proficiency changes?

I just made Khalid into an ranger and noticed that it doesn't seem to take into account that rangers should get 2 levels in Two-Weapon Style for free or the ability to pick a racial enemy. That's unfortunate I really hate having to use eekeeper every time I start a new playthough.

The customizer doesn't enforce class/race restrictions and similar. Beyond that, it's fairly sensitive to the environment you installed it in, though of course it can't know about changes made by mods installed after SCS

I'm surprised about the 2-weapon-style points- are you sure you don't get them? Check when you've finished levelling up. (There is specific code to handle it.) There's not much I can do about racial enemies, though.

Share this post


Link to post

 

8 hours ago, NdranC said:

Oh I though I was supposed to use the EET_end last?

 

5 hours ago, DavidW said:

EET says that, but afaict it's only necessary if you've got a mod that's not already written with EET in mind. And my testing is all after EET_end is installed, because it's not realistic to keep uninstalling and reinstalling EET_end when testing something as complicated as SCS.

This, "But I am the exception" approach really, bothers multiple people, and so it will lead to incompatibility with a LOT of mods ... that is if they are not counted, and one should take efforts to not get trapped into such.

Yes, a test person - a dummy - can carry out the indifference. You don't have to do it yourself.

Share this post


Link to post
5 hours ago, Jarno Mikkola said:

 

 

This, "But I am the exception" approach really, bothers multiple people, and so it will lead to incompatibility with a LOT of mods ... that is if they are not counted, and one should take efforts to not get trapped into such.

Yes, a test person - a dummy - can carry out the indifference. You don't have to do it yourself.

Not for the first time, I don’t really understand what you are saying here. But this is a general view, not SCS-specific: I don’t think the install advice to put EET_end last is globally correct. It’s sensible to put mods intended for BG1 or BG2 alone, and which don’t explicitly allow for EET, before EET_end, but it’s not sensible for mods that do allow for EET and are intended to be installed on BG1 and BG2 simultaneously.

Share this post


Link to post
13 hours ago, DavidW said:

The customizer doesn't enforce class/race restrictions and similar. Beyond that, it's fairly sensitive to the environment you installed it in, though of course it can't know about changes made by mods installed after SCS

I'm surprised about the 2-weapon-style points- are you sure you don't get them? Check when you've finished levelling up. (There is specific code to handle it.) There's not much I can do about racial enemies, though.

Welp, I can't seem to be able to install the NPC customization after I've installed Tweaks Anthology. It errors out like this:

Copied [dw#aulev.spl] to [override/dwaucl38.spl]
Copying and patching 1 file ...
[./override/dw#aulev.spl] loaded, 154 bytes
Copied [dw#aulev.spl] to [override/dwaucl39.spl]
Copying and patching 1 file ...
[./override/dw#aulev.spl] loaded, 154 bytes
Copied [dw#aulev.spl] to [override/dwaucl40.spl]
Copying and patching 1 file ...
[./override/kitlist.2da] loaded, 8447 bytes
Copying and patching 1 file ...
[./override/kitlist.2da] loaded, 8447 bytes

editing CLABPR01 for cleric
Copying and patching 1 file ...
[./override/CLABPR01.2da] loaded, 4034 bytes
Copying 1 file ...
override/CLABPR01.2da copied to weidu_external/backup/stratagems/4100/CLABPR01.2da, 4034 bytes
Copied [.../stratagems-inline/clab_template.2da] to [override/CLABPR01.2da]
Appending to files ...
[./override/CLABPR01.2DA] loaded, 14 bytes
Appended text to [CLABPR01.2da]
ERROR: illegal 22-byte write (AP_D5_DUAFCAP_D5_DUAFC) offset 0 of 11-byte file INNER_PATCH_SAVE "           "
Stopping installation because of error.
Stopping installation because of error.
Stopping installation because of error.
Stopping installation because of error.
Stopping installation because of error.
Stopping installation because of error.
Stopping installation because of error.
Stopping installation because of error.
Stopping installation because of error.
Stopping installation because of error.
Stopping installation because of error.
Stopping installation because of error.
Stopping installation because of error.
Stopping installation because of error.
Stopping installation because of error.
Stopping installation because of error.
Stopping installation because of error.

ERROR Installing [Improved NPC customisation and management], rolling back to previous state
Unable to Unlink [weidu_external/backup/stratagems/4100/OTHER.4100]: Unix.Unix_error(1, "unlink", "weidu_external/backup/stratagems/4100/OTHER.4100")
[weidu_external/backup/stratagems/4100/UNSETSTR.4100] SET_STRING uninstall info not found
Will uninstall 589 files for [STRATAGEMS/SETUP-STRATAGEMS.TP2] component 4100.

 

12 hours ago, Arthas said:

Hello,

1) Which mod did you use to change Khalid's class, @NdranC


 

The NPC customization component in SCS. The one I'm discussing right now.

Share this post


Link to post

I'm finally installing v32. The first component that shows up is not described in the readme: Slightly adjust the power or location of some too-powerful items. What does it do?

Share this post


Link to post
Posted (edited)
19 minutes ago, Alonso said:

I'm finally installing v32. The first component that shows up is not described in the readme: Slightly adjust the power or location of some too-powerful items. What does it do?

I think is this, you just missed it in the readme:

Quote

Move or modify some overpowered magic items (BG2,BG2EE,EET)

This component affects a handful of (in my judgement) overpowered magic items in BG2. Some are intrinsically a bit broken, others are just available much too early. The component moves some items into treasure hordes found later in the game, and slightly decreases the power of others.

Items affected are: the Helm of Vhailor (moved), the Robe of Vecna (moved), the Cloak of Mirroring (moved), the Rod of Resurrection (modified so as to resurrect creatures with 1 hit point rather than at full health), the Staff of the Magi (modified so that its invisibility power needs to be actively cast, not just activated by equipping it), and Carsomyr (modified to grant a saving throw to its dispelling power).

See here for where items have been moved to. Advanced users can disable any particular item's movement or modification via the ini file.

 

Edited by NdranC

Share this post


Link to post

Yep, that's it, thanks. I just hadn't found it because I was looking for the exact same title.

Share this post


Link to post

Yeah I think they have slight different names. I've been using SCS for a while so I know what most of them do already. They are still in order under the right category though.

Share this post


Link to post
Guest
This topic is now closed to further replies.

×